<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Edit Ingredient</title>
    <link rel="stylesheet" type="text/css" media="all" href="../../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" />
		
		<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>

<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <!--/*@thymesVar id="ingredient" type="com.tcs.recipe.model.Ingredient"*/-->
            <form  th:object="${ingredient}" th:action="@{'/mvcResources/recipe/' + ${ingredient.getRecipe().getId()} + '/ingredient'} " method="post">
                <input type="hidden" th:field="*{id}"/>
                <div class="pannel-group">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Edit Ingredient Information</h1>
                        </div>
                        <div class="panel-body">


                            <div class="row">
                            	<div class="col-md-3 form-group">
                                    <label>Name:</label>
                                    <input type="text" class="form-control" th:field="*{name}"/>
                                </div>
                            	
                                <div class="col-md-3 form-group">
                                    <label>Description:</label>
                                    <input type="text" class="form-control" th:field="*{desc}"/>
                                </div>

                                <div class="col-md-3 form-group">
                                    <label>Portion:</label>
                                    <input type="text" class="form-control" th:field="*{portion}"/>
                                </div>

                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>